<?php
/**
* 验证用户名里是否包含admin 管理员之类具有迷惑性的字符
*
* @Copyright(c) 2007-2009
* @Author: iOrange
* @Email: yzxh24@gmail.com
* @Version $id:file 2009-11-19 22:36:02
*/
/* vim: set ts=4 sw=4: */
class UserNameValidator extends CValidator
{
	protected function validateAttribute($object, $attribute)
	{
		$value = $object->$attribute;
		if (false !== stripos($value,'admin') || false !== stripos($value, '管理员'))
		{
			$this->addError($object, $attribute, "用户名中不能包含'admin'或者'管理员'这种字符串");
		}
	}
}